# IEEE_access_deep_learning_network_planner

Code for the paper:

**"A Deep Learning Network Planner:
Propagation Modeling using Real-World
Measurements and a 3D City Model."**

submitted for publication in IEEE Access.

# Preparing the Repository

In order to run the scenarios it is required to download the exemplary environments using the following [link](https://owncloud.tuwien.ac.at/index.php/s/APFp9z2YCPFVb2D). 
The obtained `environment/` folder with all contained files has to be stored on the base level alongside `helpers/`, `scenarios/` and `trained_models/`. 
It collects the encodings of each measurement location for the 6 exemplary environments presented in the paper. 

# Running the Scenarios

The `main` function in `run_scenario.py` runs all scenarios defined in the `scenarios/` folder. 
Each scenario contains a `config.json` file where parameters such as the height of the base station `h_bs`, the horizontal `phi_sec_h` and vertical `phi_sec_v` sector orientation as well as transmit power and frequency can be adapted. 
Per default, the `run_scenario.py` will generate all the scenarios presented in the paper. Note, that the uniform antenna patterns are specified through `phi_sec_h=null`.
We encourage interested readers to adapt the scenario configurations or to apply the trained models to their own use-cases altogether. 